<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>SE Code of Ethics</title>
</head>
<body>
	<h1>Software Engineering Code of Ethics and Professional Practice</h1>
	<h3>IEEE-CS/ACM Joint Task Force on Software Engineering Ethics and Professional Practices</h3>
	<hr>
	<strong>Keywords</strong>: code of ethics, professional responsibility, software engineering
	<br>	
	
	<h4>PREAMBLE</h4>	

	<p>The short version of the code summarizes aspirations at a high level of abstraction. The clause that are included in the full version give examples and details of how of how these aspirations changes the way we act as software engineering professionals. Without the aspirations, the details can become legalistic
	ad tedious; without the details, the aspirations can become a high-sounding but empty; together, the aspirations and the details from a cohesive code.
	<br>
	Software engineeers shall commit themselves to making the analysis, specification, design, development, testing, and maintenance of software beneficial and respected profession. In accordance with their commitment to the health, safety and welfare of the public, software engineers shall adhere to the following eight Principles:
	<br>
	<h4>PRINCIPLES</h4>
	<br>
	<ol>
		<li><em>Public.</em> Software engineers shall act consistently with the public interest.</li>
		<li><em>Client and Employer.</em> Software engineers shall act in a manner that is in the best interests of their client and employer, consistent with the public interest.</li>
		<li><em>Product.</em> Software engineers shall ensure that their products and related modificationsmeet the highest professional standard possible.</li>
		<li><em>Judgement.</em> Software engineers djall maintain integrity and independence in their professional judgemment.</li>
		<li><em>Management.</em> Software engineering manager and leaders shall sunscribe to  and promote an ethical approach to the management of software development  and maintenance.</li>
		<li><em>Profession.</em> Software enginners shall advance the integrity and reputation of the profession consistent with the public interest.</li>
		<li><em>Colleagues.</em> Software engineers shall be fair to and supportive of their colleagues.</li>
		<li><em>Self.</em> Software engineers shall participate in lifelong learning regarding the practice of their profession and shall promote an ethical approach to the practice of the profession </li>
	</ol>
		 </p>

</body>
</html>